
Internal Tools - Bug #19777

Task # 19676 (New): 通話定額オプション設定ツール

Bug # 19671 (Resolved):  Issues on 通話定額オプション設定ツール

[QA] 非対応の定額オプションを指定可能。

07/25/2023 02:51 AM - Takeshi Sasamori

Status: Closed % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: Seongmin Choi   

Type:  バグ要因:  

Description

□テストデータ

20619   法人直販QA用アカウント（種別法人直販）    P   jcitest_user04  secret

09054259013 NT-ECDVC-2

□テスト手順

1.http://223.25.162.146/fm/reports/files/Bulk-CallOptionChange/にファイル配置

NT-ECDVC-2では指定不可能なかけ放題オプション（option_id = 20）を設定しています。

配置ファイル

06_QA_error01_20230725.txt

20619,20,t

09054259013

2.ファイル取り込みバッチ実行

dev-viweb01

sudo /opt/Alternatives/report-server/opt/shells/AutoOrders/FM_MSP_BATCH_COMMAND.sh

□障害内容

・不適切なoption_idを指定してもファイル取り込み時にエラーとならず処理完了し、provisioning.line_options_statにも変更レコードが追加される。

provisioning.line_options_stat

398423;"09054259013";9991;TRUE;FALSE;"2023-08-01

00:00:00+09";"";20;0;FALSE;"BULK-CallOptionChange-20230725_1133-nGrrzlIv";"2023-07-25 11:33:06.095447+09";"";"";""

□期待値

・対象プランで利用可能なoption_id以外が指定された場合、ファイル取り込み時にエラーとなること。

History

#1 - 07/25/2023 02:55 AM - Takeshi Sasamori

- Description updated

#2 - 07/25/2023 02:56 AM - Takeshi Sasamori

- Description updated

#3 - 07/25/2023 03:14 AM - Takeshi Sasamori

- Description updated

#4 - 07/28/2023 01:07 AM - Daisuke Tajima

- % Done changed from 0 to 100

- Status changed from New to Closed

社内ツール利用(利用者がシステム側に限定される)のため、

入力値のバリデーションは実施しない仕様とする。
http://223.25.162.146/fm/reports/files/Bulk-CallOptionChange/%E3%81%AB%E3%83%95%E3%82%A1%E3%82%A4%E3%83%AB%E9%85%8D%E7%BD%AE


本チケットをクローズします。
